Skip to main content
GET
/
integrations
/
{id}
/
surveys
/
{surveyId}
/
responses
List survey responses
curl --request GET \
  --url https://api.questra.ai/integrations/{id}/surveys/{surveyId}/responses \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Org-Id: <x-org-id>'
{
  "responses": [
    {
      "id": "<string>",
      "answers": {},
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "last_activity_at": "2023-11-07T05:31:56Z",
      "locale": "<string>",
      "source_id": "<string>",
      "embedded_data": {},
      "raw": {}
    }
  ],
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.questra.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

id
string
required

Unique ID of the integration

surveyId
string
required

Unique ID of the survey on the integrated platform

Query Parameters

status
enum<string>
Available options:
in_progress,
completed,
partial,
screened_out,
quota_full,
disqualified,
unknown
since
string<date-time>

Only return responses changed or started after this RFC3339 timestamp.

until
string<date-time>

Only return responses changed or started before this RFC3339 timestamp.

limit
integer
Required range: 1 <= x <= 100
cursor
string

Response

Paginated survey responses.

responses
object[]
required
next_cursor
string | null
required